nvidia-current-devel-375.66-1.mga5.nonfree.x86_64.rpm


Advertisement

Description

nvidia-current-devel - NVIDIA OpenGL/CUDA development liraries and headers

Distribution: Mageia 5.1
Repository: Mageia Nonfree Updates x86_64
Package name: nvidia-current-devel
Package version: 375.66
Package release: 1.mga5.nonfree
Package architecture: x86_64
Package type: rpm
Installed size: 578.88 KB
Download size: 72.64 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
NVIDIA OpenGL/CUDA headers for GeForce 420 and later cards. This package is not required for normal use.

Alternatives

Provides

  • nvidia-current-devel == 375.66-1.mga5.nonfree
  • nvidia-current-devel(x86-64) == 375.66-1.mga5.nonfree
  • nvidia-devel == 1:375.66-1.mga5.nonfree
  • nvidia97xx-devel == 375.66-1.mga5.nonfree

Obsoletes

  • nvidia-devel < 1:375.66-1.mga5.nonfree
  • nvidia97xx-devel < 375.66-1.mga5.nonfree

    Install Howto

    1. Enable Mageia Nonfree Updates repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install nvidia-current-devel rpm package:
      # urpmi nvidia-current-devel

    Files

    • /usr/include/nvidia-current/
    • /usr/include/nvidia-current/GL/gl.h
    • /usr/include/nvidia-current/GL/glext.h
    • /usr/include/nvidia-current/GL/glx.h
    • /usr/include/nvidia-current/GL/glxext.h
    • /usr/lib/nvidia-current/libEGL.so
    • /usr/lib/nvidia-current/libGL.so
    • /usr/lib/nvidia-current/libGLESv1_CM.so
    • /usr/lib/nvidia-current/libGLESv2.so
    • /usr/lib/nvidia-current/libOpenCL.so
    • /usr/lib/nvidia-current/libOpenGL.so
    • /usr/lib/nvidia-current/libcuda.so
    • /usr/lib/nvidia-current/libnvcuvid.so
    • /usr/lib/nvidia-current/libnvidia-encode.so
    • /usr/lib/nvidia-current/libnvidia-fbc.so
    • /usr/lib/nvidia-current/libnvidia-ifr.so
    • /usr/lib/nvidia-current/libnvidia-ml.so
    • /usr/lib64/nvidia-current/libEGL.so
    • /usr/lib64/nvidia-current/libGL.so
    • /usr/lib64/nvidia-current/libGLESv1_CM.so
    • /usr/lib64/nvidia-current/libGLESv2.so
    • /usr/lib64/nvidia-current/libOpenCL.so
    • /usr/lib64/nvidia-current/libOpenGL.so
    • /usr/lib64/nvidia-current/libcuda.so
    • /usr/lib64/nvidia-current/libnvcuvid.so
    • /usr/lib64/nvidia-current/libnvidia-cfg.so
    • /usr/lib64/nvidia-current/libnvidia-encode.so
    • /usr/lib64/nvidia-current/libnvidia-fbc.so
    • /usr/lib64/nvidia-current/libnvidia-ifr.so
    • /usr/lib64/nvidia-current/libnvidia-ml.so

    Changelog

    2017-07-05 - tmb <tmb> 375.66-1.mga5 + Revision: 1109051 - update to 375.66 - sync with cauldron 375.39-6 - update to 375.26 - remove usage of kernel internal-only phys_to_dma() usage (mga#17604) - update to 352.79 - update to 352.63 - update to 346.96 (CVE-2015-5950) - update to 346.82 (new hw support) - revert 352 branch update, needs more upgraded libs - update to 352.21 (new long lived branch, new hw support)

    2015-05-22 - tmb <tmb> 346.72-1.mga5.nonfree + Revision: 822600 - 346.72 (maintenance/bugfix release)

    2015-04-12 - tmb <tmb> 346.59-1.mga5.nonfree + Revision: 820081 - update to 346.59 -longterm

    2015-02-26 - tmb <tmb> 346.47-1.mga5.nonfree + Revision: 817094 - update to 346.47 (maintenance release)

    2015-02-04 - tmb <tmb> 346.35-5.mga5.nonfree + Revision: 813329 - fix drm trace in logs (dropped by mistake in 346.35 update)

    2015-01-26 - tmb <tmb> 346.35-4.mga5.nonfree + Revision: 812400 - fix broken dkms.conf

    2015-01-26 - tmb <tmb> 346.35-3.mga5.nonfree + Revision: 812394 - uvm module is available only on x86_64

    2015-01-26 - anssi <anssi> 346.35-2.mga5.nonfree + Revision: 812377 - fix libnvidia-gtk*.so* name not matching their SONAME, causing nvidia-settings to fail to load

    2015-01-26 - anssi <anssi> 346.35-1.mga5.nonfree + Revision: 812247 - remove extra unneeded __provides_exclude_from added in auto-conversion - add backward-compatibility definitions for dependency exclusions - alternativeszificate /usr/share/nvidia as there are now unversioned files in there - use the self-built versions of libnvidia-gtk*.so - adapt simple mode pcitable generation for new version and new ldetect-lst - update cards definition as support was dropped for some cards + tmb <tmb> - handle OPENCL_* and XORG_OUTPUTCLASS_CONFIG in manifest - build gtk+3 UI too - BR: vdpau-devel >= 0.9 - update to 346.35 (new Long Lived branch)

    2014-12-19 - tmb <tmb> 340.65-3.mga5.nonfree + Revision: 804238 - really fix drm trace with kernel 3.18 (mga#14769, mga#14832)

    Advertisement
    Advertisement